/*
    LLamy
    Copyright (C) 2004 Andrej Krutak

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _LLAMY_H
#define _LLAMY_H

#include <stdio.h>
#include <string.h>
#include <math.h>
#include <stdlib.h>
#include <sdl.h>
#include <sdl_image.h>
#include <sdl_mixer.h>
#include <sge.h>
#include <time.h>
#include "map.h"
#include "playlevel.h"
#include "func.h"
#include <deque>

using namespace std;

typedef struct {
//game
	int curlevel;
	int maxlevel;
//settings
	int fullscreen;
	int sx, sy, sb;
} config;

typedef struct _leveldef {
	char name[100];
	char path[100];
	_leveldef *p, *n;
} leveldef;

config lconfig;
deque<leveldef> lf;
int nl;

SDL_Surface *screen;
int flip;
int sw = 640;
int sh = 480;

#endif